# std::basic_string::find_last_not_of

From cppreference.com
< cpp‎ | string‎ | basic string

size_type find_last_not_of( const basic_string& str, size_type pos = npos ) const; | (1) |
size_type find_last_not_of( const CharT* s, size_type pos, size_type count ) const; | (2) |
size_type find_last_not_of( const CharT* s, size_type pos = npos ) const; | (3) |
size_type find_last_not_of( CharT ch, size_type pos = npos ) const; | (4) |
size_type find_last_not_of( std::basic_string_view<CharT, Traits> sv, size_type pos = npos) const | (5) | (since C++17)

Finds the last character equal to none of the characters in the given character sequence. The search considers only the interval [0; pos]. If the character is not present in the interval, npos will be returned.

1) Finds the last character equal to none of characters in `str`.
2) Finds the last character equal to none of characters in the first `count` characters of the character string pointed to by `s`. `s` can include null characters.
3) Finds the last character equal to none of characters in character string pointed to by `s`. The length of the string is determined by the first null character.
4) Finds the last character not equal to `ch`.
5) Finds the last character equal to none of characters in `sv`.

In all cases, equality is checked by calling `Traits::eq`.

### Parameters

str | - | string identifying characters to search for
pos | - | position at which to begin searching
count | - | length of character string identifying characters to search for
s | - | pointer to a character string identifying characters to search fo
ch | - | character identifying characters to search for
sv | - | std::basic_string_view identifying the characters to search for

### Return value

Position of the found character or npos if no such character is found.

### Exceptions

1-4) (none) | (until C++11)
1,4) `noexcept` specification: noexcept 2,3) (none) | (since C++11) (until C++14)
1) `noexcept` specification: noexcept 2,3,4) (none) | (since C++14)
5) `noexcept` specification: noexcept | (since C++17)

### Example

| This section is incomplete Reason: no example

### See also

find | find characters in the string (public member function)
rfind | find the last occurrence of a substring (public member function)
find_first_of | find first occurrence of characters (public member function)
find_first_not_of | find first absence of characters (public member function)
find_last_of | find last occurrence of characters (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/find_last_not_of&oldid=91562"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template